Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype.convertor
Class ConversionResult

    java.lang.Object
      org.apache.cocoon.forms.datatype.convertor.ConversionResult

public class ConversionResult
extends Object

Object returned as result of `Convertor.convertFromString(java.lang.String, java.util.Locale, org.apache.cocoon.forms.datatype.convertor.Convertor.FormatCache)`.

Constructor Summary
`ConversionResult(Object result)` Constructs a successful ConversionResult.
`ConversionResult(ValidationError validationError)` Constructs an unsuccessful ConversionResult.

Method Summary
`static ConversionResult` | `create(String datatypeName)` Constructs an unsuccessful ConversionResult.
`Object` | `getResult()`
`ValidationError` | `getValidationError()`
`boolean` | `isSuccessful()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversionResult

    public ConversionResult(Object result)

  Constructs a successful ConversionResult.

### ConversionResult

    public ConversionResult(ValidationError validationError)

  Constructs an unsuccessful ConversionResult.

Method Detail

### create

    public static ConversionResult create(String datatypeName)

  Constructs an unsuccessful ConversionResult. Will create a default ValidationError message using the given datatypeName.

  Note: this is not done as a constructor because it would conflict with the constructor which takes an Object as argument.

### isSuccessful

    public boolean isSuccessful()

### getValidationError

    public ValidationError getValidationError()

### getResult

    public Object getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.